Skip to main content
GET
/
networks
/
affiliates
/
{affiliateId}
Get Affiliate by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_id": 123,
  "network_id": 123,
  "name": "<string>",
  "account_status": "active",
  "network_employee_id": 123,
  "internal_notes": "<string>",
  "default_currency_id": "<string>",
  "enable_media_cost_tracking_links": true,
  "is_contact_address_enabled": true,
  "network_affiliate_tier_id": 123,
  "referrer_id": 123,
  "contact_address": {
    "address_1": "<string>",
    "address_2": "<string>",
    "city": "<string>",
    "region_code": "<string>",
    "country_code": "<string>",
    "zip_postal_code": "<string>"
  },
  "labels": [
    "<string>"
  ],
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

Query Parameters

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
reporting,
billing,
coupon_codes,
users,
audits,
visibility,
signup,
api,
traffic_source,
referral_link,
referrer,
referral,
supply_partner

Response

OK

network_affiliate_id
integer

Unique affiliate ID.

network_id
integer
name
string

Affiliate name.

account_status
enum<string>
Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

internal_notes
string
default_currency_id
string
is_contact_address_enabled
boolean
network_affiliate_tier_id
integer
referrer_id
integer
contact_address
object
labels
string[]
time_created
integer
time_saved
integer
relationship
object

Related data (only present when requested via query parameter).